{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "initial_id",
   "metadata": {
    "collapsed": true,
    "ExecuteTime": {
     "end_time": "2024-02-26T18:00:51.600227Z",
     "start_time": "2024-02-26T18:00:50.046904700Z"
    }
   },
   "outputs": [],
   "source": [
    "import pandas as pd\n",
    "import matplotlib.pyplot as plt\n",
    "%matplotlib inline"
   ]
  },
  {
   "cell_type": "code",
   "outputs": [
    {
     "data": {
      "text/plain": "                                                   strain  replica   phase  \\\nfile                                                                         \nA390SampleSpectraLiquid1_50x_dried_drop_alu_100...   A390      1.0  liquid   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...   A390      3.0  liquid   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...   A390      3.0  liquid   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...   A390      2.0   solid   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...   A390      2.0   solid   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...   A390      3.0   solid   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...   A390      3.0   solid   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...   A390      3.0   solid   \nCHA0Liquid1_50x_dried_drop_alu_100percent_1800g...   CHA0      1.0  liquid   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...   CHA0      1.0  liquid   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...   CHA0      1.0  liquid   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...   CHA0      3.0  liquid   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...   CHA0      3.0  liquid   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...   CHA0      1.0   solid   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...   CHA0      1.0   solid   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...   CHA0      NaN    soli   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...   CHA0      NaN    soli   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...   CHA0      NaN    soli   \nCHA0SampleSpectra_50x_dried_drop_alu_100percent...   CHA0      NaN     NaN   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...   F113      3.0  liquid   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...   F113      3.0  liquid   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...   F113      3.0  liquid   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...   F113      3.0  liquid   \nF113SampleSpectraLiquid_50x_dried3_drop_alu_100...   F113      NaN   liqui   \nF113SampleSpectraLiquid_50x_dried_drop_alu_100p...   F113      NaN   liqui   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...   F113      2.0   solid   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...   F113      2.0   solid   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...   F113      2.0   solid   \n\n                                                    objective substrate  \\\nfile                                                                      \nA390SampleSpectraLiquid1_50x_dried_drop_alu_100...         50       alu   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...         50       alu   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...         50       alu   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...         50       alu   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...         50       alu   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...         50       alu   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...         50       alu   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...         50       alu   \nCHA0Liquid1_50x_dried_drop_alu_100percent_1800g...         50       alu   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...         50       alu   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...         50       alu   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...         50       alu   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...         50       alu   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...         50       alu   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...         50       alu   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...         50       alu   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...         50       alu   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...         50       alu   \nCHA0SampleSpectra_50x_dried_drop_alu_100percent...         50       alu   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...         50       alu   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...         50       alu   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...         50       alu   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...         50       alu   \nF113SampleSpectraLiquid_50x_dried3_drop_alu_100...         50       alu   \nF113SampleSpectraLiquid_50x_dried_drop_alu_100p...         50       alu   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...         50       alu   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...         50       alu   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...         50       alu   \n\n                                                    laser_power[%]  grating  \\\nfile                                                                          \nA390SampleSpectraLiquid1_50x_dried_drop_alu_100...             100     1800   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...             100     1800   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...             100     1800   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...             100     1800   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...             100     1800   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...             100     1800   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...             100     1800   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...             100     1800   \nCHA0Liquid1_50x_dried_drop_alu_100percent_1800g...             100     1800   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...             100     1800   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...             100     1800   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...             100     1800   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...             100     1800   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...             100     1800   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...             100     1800   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...             100     1800   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...             100     1800   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...             100     1800   \nCHA0SampleSpectra_50x_dried_drop_alu_100percent...             100     1800   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...             100     1800   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...             100     1800   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...             100     1800   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...             100     1800   \nF113SampleSpectraLiquid_50x_dried3_drop_alu_100...             100     1800   \nF113SampleSpectraLiquid_50x_dried_drop_alu_100p...             100     1800   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...             100     1800   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...             100     1800   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...             100     1800   \n\n                                                    exposition[sec]  \\\nfile                                                                  \nA390SampleSpectraLiquid1_50x_dried_drop_alu_100...               20   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...               20   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...               20   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...               20   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...               20   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...               20   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...               20   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...               20   \nCHA0Liquid1_50x_dried_drop_alu_100percent_1800g...               20   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...               20   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...               20   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...               20   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...               20   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...               20   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...               20   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...               20   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...               20   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...               20   \nCHA0SampleSpectra_50x_dried_drop_alu_100percent...               20   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...               20   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...               20   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...               20   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...               20   \nF113SampleSpectraLiquid_50x_dried3_drop_alu_100...               20   \nF113SampleSpectraLiquid_50x_dried_drop_alu_100p...               20   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...               20   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...               20   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...               20   \n\n                                                    confocalhigh  \\\nfile                                                               \nA390SampleSpectraLiquid1_50x_dried_drop_alu_100...          True   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...          True   \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...          True   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...          True   \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...          True   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...          True   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...          True   \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...          True   \nCHA0Liquid1_50x_dried_drop_alu_100percent_1800g...          True   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...          True   \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...          True   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...          True   \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...          True   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...          True   \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...          True   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...          True   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...          True   \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...          True   \nCHA0SampleSpectra_50x_dried_drop_alu_100percent...          True   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...          True   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...          True   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...          True   \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...          True   \nF113SampleSpectraLiquid_50x_dried3_drop_alu_100...          True   \nF113SampleSpectraLiquid_50x_dried_drop_alu_100p...          True   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...          True   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...          True   \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...          True   \n\n                                                    accumulations  \nfile                                                               \nA390SampleSpectraLiquid1_50x_dried_drop_alu_100...              2  \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...              2  \nA390SampleSpectraliquid3_50x_dried_drop_alu_100...              2  \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...              2  \nA390SampleSpectraSolid2_50x_dried_drop_alu_100p...              2  \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...              2  \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...              2  \nA390SampleSpectraSolid3_50x_dried_drop_alu_100p...              2  \nCHA0Liquid1_50x_dried_drop_alu_100percent_1800g...              2  \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...              2  \nCHA0SampleSpectraLiquid1_50x_dried_drop_alu_100...              2  \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...              2  \nCHA0SampleSpectraLiquid3_50x_dried_drop_alu_100...              2  \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...              2  \nCHA0SampleSpectraSolid1_50x_dried_drop_alu_100p...              2  \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...              2  \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...              2  \nCHA0SampleSpectraSolid_50x_dried_drop_alu_100pe...              2  \nCHA0SampleSpectra_50x_dried_drop_alu_100percent...              2  \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...              2  \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...              2  \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...              2  \nF113SampleSpectraLiquid3_50x_dried_drop_alu_100...              2  \nF113SampleSpectraLiquid_50x_dried3_drop_alu_100...              2  \nF113SampleSpectraLiquid_50x_dried_drop_alu_100p...              2  \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...              2  \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...              2  \nF113SampleSpectraSolid2_50x_dried_drop_alu_100p...              2  ",
      "text/html": "<div>\n<style scoped>\n    .dataframe tbody tr th:only-of-type {\n        vertical-align: middle;\n    }\n\n    .dataframe tbody tr th {\n        vertical-align: top;\n    }\n\n    .dataframe thead th {\n        text-align: right;\n    }\n</style>\n<table border=\"1\" class=\"dataframe\">\n  <thead>\n    <tr style=\"text-align: right;\">\n      <th></th>\n      <th>strain</th>\n      <th>replica</th>\n      <th>phase</th>\n      <th>objective</th>\n      <th>substrate</th>\n      <th>laser_power[%]</th>\n      <th>grating</th>\n      <th>exposition[sec]</th>\n      <th>confocalhigh</th>\n      <th>accumulations</th>\n    </tr>\n    <tr>\n      <th>file</th>\n      <th></th>\n      <th></th>\n      <th></th>\n      <th></th>\n      <th></th>\n      <th></th>\n      <th></th>\n      <th></th>\n      <th></th>\n      <th></th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr>\n      <th>A390SampleSpectraLiquid1_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>A390</td>\n      <td>1.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>A390SampleSpectraliquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu (2).txt</th>\n      <td>A390</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>A390SampleSpectraliquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>A390</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>A390SampleSpectraSolid2_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu (2).txt</th>\n      <td>A390</td>\n      <td>2.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>A390SampleSpectraSolid2_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>A390</td>\n      <td>2.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>A390SampleSpectraSolid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>A390</td>\n      <td>3.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>A390SampleSpectraSolid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round211 (2).txt</th>\n      <td>A390</td>\n      <td>3.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>A390SampleSpectraSolid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round211.txt</th>\n      <td>A390</td>\n      <td>3.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0Liquid1_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>CHA0</td>\n      <td>1.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraLiquid1_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round (2).txt</th>\n      <td>CHA0</td>\n      <td>1.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraLiquid1_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round.txt</th>\n      <td>CHA0</td>\n      <td>1.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraLiquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>CHA0</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraLiquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2.txt</th>\n      <td>CHA0</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraSolid1_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2 (2).txt</th>\n      <td>CHA0</td>\n      <td>1.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraSolid1_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2.txt</th>\n      <td>CHA0</td>\n      <td>1.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraSolid_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu (2).txt</th>\n      <td>CHA0</td>\n      <td>NaN</td>\n      <td>soli</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraSolid_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu(1).txt</th>\n      <td>CHA0</td>\n      <td>NaN</td>\n      <td>soli</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectraSolid_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>CHA0</td>\n      <td>NaN</td>\n      <td>soli</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>CHA0SampleSpectra_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>CHA0</td>\n      <td>NaN</td>\n      <td>NaN</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraLiquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu (2).txt</th>\n      <td>F113</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraLiquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>F113</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraLiquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2_otherdrop1 (2).txt</th>\n      <td>F113</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraLiquid3_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2_otherdrop1.txt</th>\n      <td>F113</td>\n      <td>3.0</td>\n      <td>liquid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraLiquid_50x_dried3_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2_otherdrop.txt</th>\n      <td>F113</td>\n      <td>NaN</td>\n      <td>liqui</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraLiquid_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>F113</td>\n      <td>NaN</td>\n      <td>liqui</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraSolid2_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu.txt</th>\n      <td>F113</td>\n      <td>2.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraSolid2_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2 (2).txt</th>\n      <td>F113</td>\n      <td>2.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n    <tr>\n      <th>F113SampleSpectraSolid2_50x_dried_drop_alu_100percent_1800gr_20sec_confocalhigh_2accu_round2.txt</th>\n      <td>F113</td>\n      <td>2.0</td>\n      <td>solid</td>\n      <td>50</td>\n      <td>alu</td>\n      <td>100</td>\n      <td>1800</td>\n      <td>20</td>\n      <td>True</td>\n      <td>2</td>\n    </tr>\n  </tbody>\n</table>\n</div>"
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "with open(\"../data_raw/metadata.csv\") as f:\n",
    "    df_all_experiments = pd.read_csv(f, index_col=\"file\")\n",
    "df_all_experiments"
   ],
   "metadata": {
    "collapsed": false,
    "ExecuteTime": {
     "end_time": "2024-02-26T18:00:51.632216300Z",
     "start_time": "2024-02-26T18:00:51.602923Z"
    }
   },
   "id": "8ad20a80c1220f67",
   "execution_count": 2
  },
  {
   "cell_type": "code",
   "outputs": [
    {
     "data": {
      "text/plain": "0                #X      #Y        #Wave    #Intensity\n1      14537.392021 -1316.1  1927.490234  34298.539063\n2      14537.392021 -1316.1  1925.943359  34948.273438\n3      14537.392021 -1316.1  1924.396484  34378.742188\n4      14537.392021 -1316.1  1922.849609  34778.796875\n5      14537.392021 -1316.1  1921.300781  34488.968750\n...             ...     ...          ...           ...\n30326  14577.392021 -1284.1   188.570313   9527.851563\n30327  14577.392021 -1284.1   186.636719   9477.843750\n30328  14577.392021 -1284.1   184.701172   9612.567383\n30329  14577.392021 -1284.1   182.765625   9742.063477\n30330  14577.392021 -1284.1   180.828125   9698.495117\n\n[30330 rows x 4 columns]",
      "text/html": "<div>\n<style scoped>\n    .dataframe tbody tr th:only-of-type {\n        vertical-align: middle;\n    }\n\n    .dataframe tbody tr th {\n        vertical-align: top;\n    }\n\n    .dataframe thead th {\n        text-align: right;\n    }\n</style>\n<table border=\"1\" class=\"dataframe\">\n  <thead>\n    <tr style=\"text-align: right;\">\n      <th></th>\n      <th>#X</th>\n      <th>#Y</th>\n      <th>#Wave</th>\n      <th>#Intensity</th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr>\n      <th>1</th>\n      <td>14537.392021</td>\n      <td>-1316.1</td>\n      <td>1927.490234</td>\n      <td>34298.539063</td>\n    </tr>\n    <tr>\n      <th>2</th>\n      <td>14537.392021</td>\n      <td>-1316.1</td>\n      <td>1925.943359</td>\n      <td>34948.273438</td>\n    </tr>\n    <tr>\n      <th>3</th>\n      <td>14537.392021</td>\n      <td>-1316.1</td>\n      <td>1924.396484</td>\n      <td>34378.742188</td>\n    </tr>\n    <tr>\n      <th>4</th>\n      <td>14537.392021</td>\n      <td>-1316.1</td>\n      <td>1922.849609</td>\n      <td>34778.796875</td>\n    </tr>\n    <tr>\n      <th>5</th>\n      <td>14537.392021</td>\n      <td>-1316.1</td>\n      <td>1921.300781</td>\n      <td>34488.968750</td>\n    </tr>\n    <tr>\n      <th>...</th>\n      <td>...</td>\n      <td>...</td>\n      <td>...</td>\n      <td>...</td>\n    </tr>\n    <tr>\n      <th>30326</th>\n      <td>14577.392021</td>\n      <td>-1284.1</td>\n      <td>188.570313</td>\n      <td>9527.851563</td>\n    </tr>\n    <tr>\n      <th>30327</th>\n      <td>14577.392021</td>\n      <td>-1284.1</td>\n      <td>186.636719</td>\n      <td>9477.843750</td>\n    </tr>\n    <tr>\n      <th>30328</th>\n      <td>14577.392021</td>\n      <td>-1284.1</td>\n      <td>184.701172</td>\n      <td>9612.567383</td>\n    </tr>\n    <tr>\n      <th>30329</th>\n      <td>14577.392021</td>\n      <td>-1284.1</td>\n      <td>182.765625</td>\n      <td>9742.063477</td>\n    </tr>\n    <tr>\n      <th>30330</th>\n      <td>14577.392021</td>\n      <td>-1284.1</td>\n      <td>180.828125</td>\n      <td>9698.495117</td>\n    </tr>\n  </tbody>\n</table>\n<p>30330 rows × 4 columns</p>\n</div>"
     },
     "execution_count": 12,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "with open(f\"../data_raw/{df_all_experiments.index[0]}\") as f:\n",
    "    df_experiment = pd.DataFrame([x.split() for x in f.readlines()])\n",
    "    df_experiment.columns = df_experiment.iloc[0]\n",
    "    df_experiment = df_experiment[1:].astype(float)\n",
    "df_experiment"
   ],
   "metadata": {
    "collapsed": false,
    "ExecuteTime": {
     "end_time": "2024-02-26T18:05:49.594975900Z",
     "start_time": "2024-02-26T18:05:49.527469Z"
    }
   },
   "id": "4d6ba1f5360b6333",
   "execution_count": 12
  },
  {
   "cell_type": "code",
   "outputs": [
    {
     "data": {
      "text/plain": "<Axes: >"
     },
     "execution_count": 13,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "text/plain": "<Figure size 640x480 with 1 Axes>",
      "image/png": "[encoded data, 62044 characters]"
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "df_experiment[[\"#Wave\", \"#Intensity\"]].plot()"
   ],
   "metadata": {
    "collapsed": false,
    "ExecuteTime": {
     "end_time": "2024-02-26T18:05:51.419517500Z",
     "start_time": "2024-02-26T18:05:51.187293Z"
    }
   },
   "id": "1a9d17e12743f2bc",
   "execution_count": 13
  },
  {
   "cell_type": "code",
   "outputs": [],
   "source": [],
   "metadata": {
    "collapsed": false,
    "ExecuteTime": {
     "end_time": "2024-02-26T18:00:52.236580Z",
     "start_time": "2024-02-26T18:00:52.218164200Z"
    }
   },
   "id": "ce858af586a1dce1"
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 2
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython2",
   "version": "2.7.6"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
